Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/elixir: update to 1.0.5

From: Marlus Saraiva <marlus.saraiva_at_gmail.com>
Date: Fri, 3 Jul 2015 04:27:02 +0000

---
 testing/elixir/APKBUILD | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)
diff --git a/testing/elixir/APKBUILD b/testing/elixir/APKBUILD
index 555e6af..9f12d55 100644
--- a/testing/elixir/APKBUILD
+++ b/testing/elixir/APKBUILD
_at_@ -1,16 +1,16 @@
 # Maintainer: Marlus Saraiva <marlus.saraiva_at_gmail.com>
 
 pkgname=elixir
-pkgver=1.0.4
+pkgver=1.0.5
 pkgrel=0
 pkgdesc="Elixir is a dynamic, functional language designed for building scalable and maintainable applications"
 url="http://elixir-lang.org"
 arch="noarch"
 license="ASL 2.0"
-depends="erlang erlang-crypto erlang-syntax-tools erlang-inets erlang-ssl 
+depends="erlang erlang-crypto erlang-syntax-tools erlang-inets erlang-ssl
          erlang-public-key erlang-asn1 erlang-sasl erlang-erl-interface erlang-dev"
 makedepends="erlang-parsetools erlang-eunit erlang-tools"
-source="https://github.com/elixir-lang/elixir/archive/v$pkgver.tar.gz
+source="$pkgname-$pkgver.tar.gz::https://github.com/elixir-lang/elixir/archive/v$pkgver.tar.gz
         fix_system_cmd_test.patch"
 
 _builddir="$srcdir"/$pkgname-$pkgver
_at_@ -25,18 +25,18 @@ prepare() {
 }
 
 build() {
-	cd "$_builddir"
-	make test || return 1
+        cd "$_builddir"
+        make test || return 1
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" PREFIX=/usr install || return 1
+        cd "$_builddir"
+        make DESTDIR="$pkgdir" PREFIX=/usr install || return 1
 }
 
-md5sums="7e1e88e012d93ea143188a7b17c52917  v1.0.4.tar.gz
+md5sums="abbdda96891b4519a1dc3e65b58f1b0b  elixir-1.0.5.tar.gz
 2b9b691105d748719521aa8f1711b19a  fix_system_cmd_test.patch"
-sha256sums="79341fde3b01217aa252b8996d1b1b27cd1006cb89fe43446d5241e3dcb84bad  v1.0.4.tar.gz
+sha256sums="5ce5c226b3d11d751b41ad79b915b86f13f8a1b89ef3e733321d3f46ff4d81b8  elixir-1.0.5.tar.gz
 95e58ed3a81f1e10f5f63b9a8602c9b359e6c081e3fd5a6fa2bbb1a51b045300  fix_system_cmd_test.patch"
-sha512sums="c25bc101fd3d1bc8bfb8c793b5da95ac544d0b921538dc24fcd92ff87d1f6248f3c760f714dd7fe061827c5495004d4f7d6d4788c28daf9d519694e49afd5e0f  v1.0.4.tar.gz
+sha512sums="1f621e1a3939433dc91a0e2f7e62512b074ce2e8dc7190535570056875f82eda2001a333a51627e39b0f710e104409c8d17aea9635235b0963265d39b32c9f6c  elixir-1.0.5.tar.gz
 adeb558291a0199778ee2d1a87173d2729645d9111840bdc386bde9c6659d05a6c6004fdb33e7495e3f7b92cc3e67a923bf4bf65fb914531ea7ef3618ae26ff6  fix_system_cmd_test.patch"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Jul 03 2015 - 04:27:02 GMT